metset.f error

Questions and postings pertaining to the development of HYSPLIT, feature enhancements, and HYSPLIT internals. HYSPLIT source code and algorithms are discussed here.
Post Reply
thomasb
Posts: 5
Joined: July 16th, 2015, 1:05 pm
Registered HYSPLIT User: No

metset.f error

Post by thomasb » July 16th, 2015, 1:18 pm

Code: Select all

/usr/local/src/Smoke/hysplit/trunk/exec/hycs_std 20150716-121032
 HYSPLIT4 - Initialization 20150716-121032
 USE: svn info | tail -n3
 to fill in these three records
 with the version information!
  NOTICE   main: using namelist file - SETUP.20150716-121032                                                           
At line 315 of file metset.f (unit = 70, file = 'MESSAGE.20150716-121032')
Fortran runtime error: Cannot write to file opened for READ
Getting this error when running hycs_std, has anyone seen this before or know what might be causing it?
When I open up the metset.f file line 315 is part of an IF statement that goes like this.

Code: Select all

313 INQUIRE(UNIT=KF21,OPENED=FTEST)
314 IF(FTEST)THEN
315     WRITE(KF21,*)'Simulation Date (CCYYMMDD): ',REAL_CLOCK(1)(:8)
Any help would be appreciated.

barbara.stunder
Posts: 212
Joined: November 9th, 2012, 4:23 pm
Registered HYSPLIT User: Yes

Re: metset.f error

Post by barbara.stunder » July 21st, 2015, 7:58 am

Have you successfully run other simulations with that hycs_std executable, for example testing/xrun.scr? If so, then what is different here? The MESSAGE file should not have been opened READ-only.

A separate issue is that the message "USE: svn info | tail ..." is there because there is an "INCLUDE 'version2.inc'" in the main source code for hycs_std (source/hymodelc.F). The file is apparently not in your source directory, but the installation should have put it there. Then when hycs_std is run, the message says what version number it is.

thomasb
Posts: 5
Joined: July 16th, 2015, 1:05 pm
Registered HYSPLIT User: No

Re: metset.f error

Post by thomasb » July 23rd, 2015, 11:17 am

I have run xrun.scr and the only error it had was the version information.
I checked and I do have version2.inc in the source directory.
Is there any way these two problems are linked?

ariel.stein
Posts: 578
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: metset.f error

Post by ariel.stein » July 23rd, 2015, 10:06 pm

The problems do not seem to be related. I am assuming you are using the linux version, so I would suggest you run the "update.sh" script to get the latest version of the model. After you get the new version you should have 2 files named version1.inc and version2.inc in your source directory. They basically describe the version number you are running. If you continue to have this problem please let us know

thomasb
Posts: 5
Joined: July 16th, 2015, 1:05 pm
Registered HYSPLIT User: No

Re: metset.f error

Post by thomasb » July 28th, 2015, 11:27 am

I have both of those files already, in .../hysplit/trunk/source

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest